<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Chat</title>
    <link rel="stylesheet" href='./assets/styles/index.css' />
    <link rel="stylesheet" type="text/css" href="src/css/base.css">
    <link rel="stylesheet" type="text/css" href="src/css/smalltalk.min.css">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700,200" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet">

    <style>
      #loader {
        transition: all 0.3s ease-in-out;
        opacity: 1;
        visibility: visible;
        position: fixed;
        height: 100vh;
        width: 100%;
        background: #fff;
        z-index: 90000;
      }

      #loader.fadeOut {
        opacity: 0;
        visibility: hidden;
      }



      .spinner {
        width: 40px;
        height: 40px;
        position: absolute;
        top: calc(50% - 20px);
        left: calc(50% - 20px);
        background-color: #333;
        border-radius: 100%;
        -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
        animation: sk-scaleout 1.0s infinite ease-in-out;
      }

      @-webkit-keyframes sk-scaleout {
        0% { -webkit-transform: scale(0) }
        100% {
          -webkit-transform: scale(1.0);
          opacity: 0;
        }
      }

      @keyframes sk-scaleout {
        0% {
          -webkit-transform: scale(0);
          transform: scale(0);
        } 100% {
          -webkit-transform: scale(1.0);
          transform: scale(1.0);
          opacity: 0;
        }
      }
    </style>
  </head>
  <body class="app">
    <!-- @TOC -->
    <!-- =================================================== -->
    <!--
      + @Page Loader
      + @App Content
          - #Left Sidebar
              > $Sidebar Header
              > $Sidebar Menu

          - #Main
              > $Topbar
              > $App Screen Content
    -->

    <!-- @Page Loader -->
    <!-- =================================================== -->
    <div id='loader'>
      <div class="spinner"></div>
    </div>

    <script>
      window.addEventListener('load', function load() {
        const loader = document.getElementById('loader');
        setTimeout(function() {
          loader.classList.add('fadeOut');
        }, 300);
      });
    </script>

    <!-- @App Content -->
    <!-- =================================================== -->
    <div>
      <!-- #Left Sidebar ==================== -->
      <div class="sidebar">
        <div class="sidebar-inner">
          <!-- ### $Sidebar Header ### -->
          <div class="sidebar-logo">
            <div class="peers ai-c fxw-nw">
              <div class="peer peer-greed">
                <a class="sidebar-link td-n" href="index.html">
                  <div class="peers ai-c fxw-nw">
                    <div class="peer">
                      <div class="logo">
                        <img src="https://www.freeiconspng.com/uploads/customers-icon-20.png" style="width:50px;height:50px;margin-top:5px;"alt="">
                      </div>
                    </div>
                    <div class="peer peer-greed">
                      <h5 class="lh-1 mB-0 logo-text">Customer Engagement System</h5>
                    </div>
                  </div>
                </a>
              </div>
              <div class="peer">
                <div class="mobile-toggle sidebar-toggle">
                  <a href="" class="td-n">
                    <i class="ti-arrow-circle-left"></i>
                  </a>
                </div>
              </div>
            </div>
          </div>

          <!-- ### $Sidebar Menu ### -->
          <ul class="sidebar-menu scrollable pos-r">
            <li class="nav-item mT-30 active li-dashboard">
              <a class="sidebar-link" href="index.html">
                <span class="icon-holder">
                  <i class="c-blue-500 ti-home"></i>
                </span>
                <span class="title">Dashboard</span>
              </a>
            </li>
            <li class="nav-item li-approval" >
              <a class='sidebar-link' href="approval.html">
                <span class="icon-holder">
                  <i class="c-blue-500 ti-share"></i>
                </span>
                <span class="title">Approval</span>
              </a>
            </li>
            <li class="nav-item li-email" >
              <a class='sidebar-link' href="email.html">
                <span class="icon-holder">
                  <i class="c-brown-500 ti-email"></i>
                </span>
                <span class="title">Email</span>
              </a>
            </li>

            <li class="nav-item li-chat" >
              <a class='sidebar-link' href="chat.html">
                <span class="icon-holder">
                  <i class="c-deep-purple-500 ti-comment-alt"></i>
                </span>
                <span class="title">Chat</span>
              </a>
            </li>
            <li class="nav-item li-history" >
              <a class='sidebar-link' href="history.html">
                <span class="icon-holder">
                  <i class="c-blue-500 ti-comment-alt"></i>
                </span>
                <span class="title">History</span>
              </a>
            </li>
          </ul>
        </div>
      </div>

      <!-- #Main ============================ -->
      <div class="page-container">
        <!-- ### $Topbar ### -->
        <div class="header navbar">
          <div class="header-container">
            <ul class="nav-left">
              <li>
                <a id='sidebar-toggle' class="sidebar-toggle" href="javascript:void(0);">
                  <i class="ti-menu"></i>
                </a>
              </li>
              <li class="search-box">
                <a class="search-toggle no-pdd-right" href="javascript:void(0);">
                  <i class="search-icon ti-search pdd-right-10"></i>
                  <i class="search-icon-close ti-close pdd-right-10"></i>
                </a>
              </li>
              <li class="search-input">
                <input class="form-control" type="text" placeholder="Search...">
              </li>
            </ul>
            <ul class="nav-right">
              <li id="requestnotic" class="notifications dropdown">

                <a href="" class="dropdown-toggle no-after" data-toggle="dropdown">
                  <i class="ti-bell"></i>
                </a>

                <ul class="dropdown-menu">
                  <li class="pX-20 pY-15 bdB">
                    <i class="ti-bell pR-10"></i>
                    <span class="fsz-sm fw-600 c-grey-900">Notifications</span>
                  </li>
                  <li>
                    <ul class="ovY-a pos-r scrollable lis-n p-0 m-0 fsz-sm">
                      <li>
                        <a href="" class='peers fxw-nw td-n p-20 bdB c-grey-800 cH-blue bgcH-grey-100'>
                          <div class="peer mR-15">
                            <img class="w-3r bdrs-50p" src="https://randomuser.me/api/portraits/men/1.jpg" alt="">
                          </div>
                          <div class="peer peer-greed">
                            <span>
                              <!-- <span class=" username">Charles Lo</span> -->
                              <span class="fw-500 text-dark">Live chat request from <span class="c-grey-600"></span>
                              </span>
                            </span>
                            <p class="m-0">
                              <small class="fsz-xs">5 mins ago</small>
                            </p>
                          </div>
                        </a>
                      </li>
                    </ul>
                  </li>
                  <li class="pX-20 pY-15 ta-c bdT">
                    <span>
                      <a href="" class="c-grey-600 cH-blue fsz-sm td-n">View All Notifications <i class="ti-angle-right fsz-xs mL-10"></i></a>
                    </span>
                  </li>
                </ul>
              </li>
              <li id="emailnotic" class="notifications dropdown">
                <span class="counter bgc-blue">3</span>
                <a href="" class="dropdown-toggle no-after" data-toggle="dropdown">
                  <i class="ti-email"></i>
                </a>

                <ul class="dropdown-menu">
                  <li class="pX-20 pY-15 bdB">
                    <i class="ti-email pR-10"></i>
                    <span class="fsz-sm fw-600 c-grey-900">Emails</span>
                  </li>
                  <li>
                    <ul class="ovY-a pos-r scrollable lis-n p-0 m-0 fsz-sm">
                      <li>
                        <a href="" class='peers fxw-nw td-n p-20 bdB c-grey-800 cH-blue bgcH-grey-100'>
                          <div class="peer mR-15">
                            <img class="w-3r bdrs-50p" src="https://randomuser.me/api/portraits/men/1.jpg" alt="">
                          </div>
                          <div class="peer peer-greed">
                            <div>
                              <div class="peers jc-sb fxw-nw mB-5">
                                <div class="peer">
                                  <p class="fw-500 mB-0 username">Charles Lo</p>
                                </div>
                                <div class="peer">
                                  <small class="fsz-xs">5 mins ago</small>
                                </div>
                              </div>
                              <span class="c-grey-600 fsz-sm">
                                Want to create your own customized data generator for your app...
                              </span>
                            </div>
                          </div>
                        </a>
                      </li>
                      <li>
                        <a href="" class='peers fxw-nw td-n p-20 bdB c-grey-800 cH-blue bgcH-grey-100'>
                          <div class="peer mR-15">
                            <img class="w-3r bdrs-50p" src="https://randomuser.me/api/portraits/men/2.jpg" alt="">
                          </div>
                          <div class="peer peer-greed">
                            <div>
                              <div class="peers jc-sb fxw-nw mB-5">
                                <div class="peer">
                                  <p class="fw-500 mB-0">Moo Doe</p>
                                </div>
                                <div class="peer">
                                  <small class="fsz-xs">15 mins ago</small>
                                </div>
                              </div>
                              <span class="c-grey-600 fsz-sm">
                                Want to create your own customized data generator for your app...
                              </span>
                            </div>
                          </div>
                        </a>
                      </li>
                      <li>
                        <a href="" class='peers fxw-nw td-n p-20 bdB c-grey-800 cH-blue bgcH-grey-100'>
                          <div class="peer mR-15">
                            <img class="w-3r bdrs-50p" src="https://randomuser.me/api/portraits/men/3.jpg" alt="">
                          </div>
                          <div class="peer peer-greed">
                            <div>
                              <div class="peers jc-sb fxw-nw mB-5">
                                <div class="peer">
                                  <p class="fw-500 mB-0">Lee Doe</p>
                                </div>
                                <div class="peer">
                                  <small class="fsz-xs">25 mins ago</small>
                                </div>
                              </div>
                              <span class="c-grey-600 fsz-sm">
                                Want to create your own customized data generator for your app...
                              </span>
                            </div>
                          </div>
                        </a>
                      </li>
                    </ul>
                  </li>
                  <li class="pX-20 pY-15 ta-c bdT">
                    <span>
                      <a href="email.html" class="c-grey-600 cH-blue fsz-sm td-n">View All Email <i class="fs-xs ti-angle-right mL-10"></i></a>
                    </span>
                  </li>
                </ul>
              </li>
              <li class="dropdown">
                <a href="" class="dropdown-toggle no-after peers fxw-nw ai-c lh-1" data-toggle="dropdown">
                  <div class="peer mR-10">
                    <img class="w-2r bdrs-50p" src="https://randomuser.me/api/portraits/men/10.jpg" alt="">
                  </div>
                  <div class="peer">
                    <span class="fsz-sm c-grey-900m username" >Charles Lo</span>
                  </div>
                </a>
                <ul class="dropdown-menu fsz-sm">
                  <li>
                    <a href="" class="d-b td-n pY-5 bgcH-grey-100 c-grey-700">
                      <i class="ti-settings mR-10"></i>
                      <span>Setting</span>
                    </a>
                  </li>
                  <li>
                    <a href="" class="d-b td-n pY-5 bgcH-grey-100 c-grey-700">
                      <i class="ti-user mR-10"></i>
                      <span>Profile</span>
                    </a>
                  </li>
                  <li>
                    <a href="email.html" class="d-b td-n pY-5 bgcH-grey-100 c-grey-700">
                      <i class="ti-email mR-10"></i>
                      <span>Messages</span>
                    </a>
                  </li>
                  <li role="separator" class="divider"></li>
                  <li onclick="logout()">
                    <a href="" class="d-b td-n pY-5 bgcH-grey-100 c-grey-700">
                      <i class="ti-power-off mR-10"></i>
                      <span>Logout</span>
                    </a>
                  </li>
                </ul>
              </li>
            </ul>
          </div>
        </div>

        <!-- ### $App Screen Content ### -->
        <main class='main-content bgc-grey-100'>
          <div id='mainContent'>
            <div class="full-container">
              <div class="peers fxw-nw pos-r">
                <!-- Sidebar -->
                <div class="peer bdR" id="chat-sidebar">
                  <div class="layers h-100">
                    <!-- Search -->
                    <div class="bdB layer w-100">
                      <input type="text" placeholder="Search contacts..." name="chatSearch" class="form-constrol p-15 bdrs-0 w-100 bdw-0">
                    </div>

                    <!-- List -->
                    <div class="layer w-100 fxg-1 scrollable pos-r">
                        <ul id="session"></ul>
                        <div class="collapsible-menu" id="queuingmenu">
                          <input type="checkbox" style="display: none;">
                          <img src="src/img/menu-button.png"><label for="queuingmenu">Requesting</label>
                          <span id="request-amount" class="amountnum grey"></span>
                          <div class="menu-content">
                              <ul id="queuinguser" class="customer"></ul>
                          </div>
                        </div>
                        <div class="collapsible-menu" id="tokenmenu">
                          <input type="checkbox" style="display: none;">
                          <img src="src/img/menu-button.png"><label for="tokenmenu">Token</label>
                          <span id="token-amount" class="amountnum grey"></span>
                          <div class="menu-content">
                              <ul id="tokenuser" class="customer"></ul>
                          </div>
                        </div>
                        <div class="collapsible-menu" id="chatbotmenu">
                          <input type="checkbox" style="display: none;">
                          <img src="src/img/menu-button.png"><label for="chatbotmenu">Customer</label>
                          <span id="user-amount" class="amountnum grey"></span>
                          <div class="menu-content">
                              <ul id="chatbotuser" class="customer"></ul>
                          </div>
                        </div>
                        <!-- <div class="collapsible-menu" id="recordmenu">
                          <input type="checkbox" style="display: none;">
                          <img src="src/img/menu-button.png"><label for="chatbotmenu">History</label>
                          <span id="history-amount" class="amountnum grey"></span>
                          <div class="menu-content">
                              <ul id="historyuser" class="customer"></ul>
                          </div>
                        </div> -->
                      <!-- <div class="peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50 cur-p">
                        <div class="peer">
                          <img src="https://randomuser.me/api/portraits/men/1.jpg" alt="" class="w-3r h-3r bdrs-50p">
                        </div>
                        <div class="peer peer-greed pL-20">
                          <h6 class="mB-0 lh-1 fw-400">Charles Lo</h6>
                          <small class="lh-1 c-green-500">Online</small>
                        </div>
                      </div>
                      <div class="peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50 cur-p">
                        <div class="peer">
                          <img src="https://randomuser.me/api/portraits/men/2.jpg" alt="" class="w-3r h-3r bdrs-50p">
                        </div>
                        <div class="peer peer-greed pL-20">
                          <h6 class="mB-0 lh-1 fw-400">Moo Doe</h6>
                          <small class="lh-1 c-amber-500">Away</small>
                        </div>
                      </div>
                      <div class="peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50 cur-p">
                        <div class="peer">
                          <img src="https://randomuser.me/api/portraits/men/3.jpg" alt="" class="w-3r h-3r bdrs-50p">
                        </div>
                        <div class="peer peer-greed pL-20">
                          <h6 class="mB-0 lh-1 fw-400">Adam Jones</h6>
                          <small class="lh-1 c-grey-500">Offline</small>
                        </div>
                      </div>
                      <div class="peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50 cur-p">
                        <div class="peer">
                          <img src="https://randomuser.me/api/portraits/men/4.jpg" alt="" class="w-3r h-3r bdrs-50p">
                        </div>
                        <div class="peer peer-greed pL-20"> -->
                          <!-- <h6 class="mB-0 lh-1 fw-400">Mizo Doe</h6>
                          <small class="lh-1 c-red-500">Busy</small>
                        </div>
                      </div>
                      <div class="peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50 cur-p">
                        <div class="peer">
                          <img src="https://randomuser.me/api/portraits/men/1.jpg" alt="" class="w-3r h-3r bdrs-50p">
                        </div>
                        <div class="peer peer-greed pL-20">
                          <h6 class="mB-0 lh-1 fw-400">Charles Lo</h6>
                          <small class="lh-1 c-green-500">Online</small>
                        </div>
                      </div> -->
                      <!-- <div class="peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50 cur-p">
                        <div class="peer">
                          <img src="https://randomuser.me/api/portraits/men/2.jpg" alt="" class="w-3r h-3r bdrs-50p">
                        </div>
                        <div class="peer peer-greed pL-20">
                          <h6 class="mB-0 lh-1 fw-400">Moo Doe</h6>
                          <small class="lh-1 c-amber-500">Away</small>
                        </div>
                      </div> -->
                      <!-- <div class="peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50 cur-p">
                        <div class="peer">
                          <img src="https://randomuser.me/api/portraits/men/3.jpg" alt="" class="w-3r h-3r bdrs-50p">
                        </div>
                        <div class="peer peer-greed pL-20">
                          <h6 class="mB-0 lh-1 fw-400">Adam Jones</h6>
                          <small class="lh-1 c-grey-500">Offline</small>
                        </div>
                      </div>
                      <div class="peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50 cur-p">
                        <div class="peer">
                          <img src="https://randomuser.me/api/portraits/men/4.jpg" alt="" class="w-3r h-3r bdrs-50p">
                        </div>
                        <div class="peer peer-greed pL-20">
                          <h6 class="mB-0 lh-1 fw-400">Mizo Doe</h6>
                          <small class="lh-1 c-red-500">Busy</small>
                        </div>
                      </div> -->
                    </div>
                  </div>
                </div>

                <!-- Chat Box -->
                <div id="chat"></div>
              </div>
              <div class="justify-content-center videochat vertical-center historylayer">
                <!-- <div class="col-md-11 offset-md-2 bgc-white vcall-layer"> -->
                  <!-- <video id="localVideo" autoplay playsinline></video>
                  <video id="remoteVideo" autoplay playsinline></video> -->
                <div class="vselflayer">
                </div>
                <img class="cancelcall" src="src/img/cancel.png">
                <img id="vcallStatus" src="src/img/video-call.png" class="vcall" onclick="SocketData.callAction();" >
                <img src="src/img/hangup.png" class="hangup" style="display:none;">

                  <!-- <div>
                    <button id="callButton" onclick="SocketData.callAction();">Call</button>
                    <button id="hangupButton" onclick="SocketData.hangupAction();">Hang Up</button>
                  </div> -->
                <!-- </div> -->
              </div>
              <audio id="ding" src="src/res/ding.mp3">Audio Not Supported</audio>
              <div id="emoji" class="shadow move"><span>😂</span><span>😀</span><span>😭</span><span>😹</span><span>🙏</span><span>😬</span><span>😁</span><span>😃</span><span>😄</span><span>😅</span><span>😆</span><span>😇</span><span>😉</span><span>😊</span><span>🙂</span><span>🙃</span><span>😋</span><span>😌</span><span>😍</span><span>😘</span><span>😗</span><span>😙</span><span>😚</span><span>😜</span><span>😝</span><span>😛</span><span>🤑</span><span>🤓</span><span>😎</span><span>🤗</span><span>😏</span><span>😶</span><span>😐</span><span>😑</span><span>😒</span><span>🙄</span><span>🤔</span><span>😳</span><span>😞</span><span>😟</span><span>😠</span><span>😡</span><span>😔</span><span>😕</span><span>🙁</span><span>😣</span><span>😖</span><span>😫</span><span>😩</span><span>😤</span><span>😮</span><span>😨</span><span>😰</span><span>😯</span><span>😦</span><span>😧</span><span>😢</span><span>😥</span><span>😪</span><span>😵</span><span>😲</span><span>🤐</span><span>😷</span><span>🤒</span><span>🤕</span><span>😴</span><span>💤</span><span>🙌</span><span>👏</span><span>👋</span><span>👊</span><span>👌</span><span>💪</span><span>👍</span><span>👆</span><span>👇</span><span>👈</span><span>👉</span><span>🖕</span><span>🤘</span><span>🖖</span><span>💩</span><span>😈</span><span>👿</span><span>👹</span><span>👺</span><span>💀</span><span>👻</span><span>👽</span><span>🤖</span><span>😺</span><span>😸</span><span>😻</span><span>😼</span><span>😽</span><span>🙀</span><span>😿</span><span>😾</span><span>💅</span><span>👄</span><span>👅</span><span>👂</span><span>👃</span><span>👁</span><span>👀</span><span>👤</span><span>🗣</span><span>👶</span><span>👦</span><span>👧</span><span>👨</span><span>👩</span><span>👱</span><span>👴</span><span>👵</span><span>👲</span><span>👳</span><span>👮</span><span>👷</span><span>💂</span></div>
              <div id="demands" class="shadow"><span>身份證</span><span>地址證</span></div>
              <div id="transferAgent" class="shadow vertical-center">
                <div class="input-group" style="padding-top:10px;padding-bottom:10px;">
                  <label class="label">Transfer client to:</label><br>
                  <div class="radio-row">
                  </div>
                  <br><br>
                  <div><button class="transfering">Confirm</button><button class="cancelTrans" onclick="$('#transferAgent').fadeOut();">Cancel</button></div>
                </div>
              </div>
              <div class="outline"><img src="src/img/loading.gif"></div>
            </div>
          </div>
        </main>

        <!-- ### $App Screen Footer ### -->
        <footer class="bdT ta-c p-30 lh-0 fsz-sm c-grey-600">
          <span>Copyright © 2019 Developed by <a href="http://www.ctigroup.hk/" target='_blank' title="CTI Group">CTI Group Limited</a>. All rights reserved.</span>
        </footer>
      </div>
    </div>
  </body>
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  <script src="https://webrtc.github.io/adapter/adapter-latest.js"></script>
  <script src="src/js/jquery.min.js"></script>
  <script src="src/js/socket.io.min.js"></script>
  <script src="src/js/md5.js"></script>
  <script src="src/lib/smalltalk/smalltalk.min.js"></script>
  <script src="src/js/im.js"></script>

  <script src="assets/scripts/index.js"></script>

  <script type="text/javascript">
    $.get("/permission", (data)=>{
      data = JSON.parse(data)
      let username = data.username
      let permission = data.permission
      let dashboard = $(".li-dashboard")
      let approval = $(".li-approval")
      let email = $(".li-email")
      let chat = $(".li-chat")
      let history = $(".li-history")
      let classUsername = $(".username")
      if(typeof permission === 'undefined'){
        window.location.href = 'login.html'
      }else if(permission === 'admin') {
        approval.show()
        email.show()
        chat.show()
        history.show()
      }else if(permission === 'agent') {
        // index.hide()
        // window.location.href = 'chat.html'
        approval.hide()
        dashboard.hide()
        history.hide()
      }else if(permission === 'customer') {
        approval.show()
        history.show()
        window.location.href='approval.html'
      }
      for(let i=0;i<classUsername.length;i++){
        classUsername[i].innerHTML = username
      }
    })
    function logout(){
      window.location.href = 'login.html'
      $.post("/logout", (data)=>{
        console.log(data)
      })

    }
    $('.videochat').hide();
  </script>
</html>
